Debian Bug report logs - #555000
kildclient: FTBFS with binutils-gold

version graph

Package: src:kildclient; Maintainer for src:kildclient is Eduardo M Kalinowski <eduardo@kalinowski.com.br>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Sat, 7 Nov 2009 20:51:06 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 623726

Found in version kildclient/2.9.0-1

Fixed in version kildclient/2.9.0-2

Done: Eduardo M Kalinowski <eduardo@kalinowski.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Eduardo M Kalinowski <eduardo@kalinowski.com.br>:
Bug#555000; Package src:kildclient. (Sat, 07 Nov 2009 20:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Eduardo M Kalinowski <eduardo@kalinowski.com.br>. (Sat, 07 Nov 2009 20:51:09 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Sat, 07 Nov 2009 21:28:39 +0100
Source: kildclient
Version: 2.9.0-1
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

x86_64-linux-gnu-gcc  -Wall -g -O2   -o kildclient main.o net.o proxy.o mainwindow.o worldgui.o ansitextview.o worldselector.o worlds.o worldeditor.o we_general.o we_mainwindow.o we_colors.o we_statusbar.o we_input.o we_logging.o we_scripting.o we_plugins.o we_generic_guied.o we_triggers.o we_aliases.o we_macros.o we_timers.o we_hooks.o we_vars.o we_protocols.o we_misc.o we_advanced.o prefs.o parser.o triggers.o aliases.o macros.o timers.o permanentvariables.o hooks.o log.o plugins.o multilinesend.o cmdhistory.o sound.o perlscript.o kcwin.o simocombobox.o kcircularqueue.o wresources.o -pthread -lgthread-2.0 -lrt -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -Wl,-E  -fstack-protector -L/usr/local/lib  -L/usr/lib/perl/5.10/CORE -lperl -ldl -lm -lpthread -lc -lcrypt -lgtkspell -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgnutls-extra -lgnutls    -lperl -Wl,-E  -fstack-protector -L/usr/local/lib  -L/usr/lib/perl/5.10/CORE -lperl -ldl -lm -lpthread -lc -lcrypt 
/usr/bin/ld: net.o: in function end_mccp:net.c:1392: error: undefined reference to 'inflateEnd'
/usr/bin/ld: net.o: in function data_ready_cb:net.c:873: error: undefined reference to 'inflate'
/usr/bin/ld: net.o: in function data_ready_cb:net.c:1350: error: undefined reference to 'inflateInit_'
collect2: ld returned 1 exit status
make[3]: *** [kildclient] Error 1




Severity set to 'important' from 'minor' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:22:20 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:28:55 GMT) Full text and rfc822 format available.

Merged 555000 623726. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 24 Apr 2011 15:39:08 GMT) Full text and rfc822 format available.

Added indication that bug 555000 blocks 619117 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 30 Apr 2011 17:36:03 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 30 Apr 2011 19:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduardo M Kalinowski <eduardo@kalinowski.com.br>:
Bug#555000; Package src:kildclient. (Thu, 05 May 2011 10:36:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduardo M Kalinowski <eduardo@kalinowski.com.br>. (Thu, 05 May 2011 10:36:23 GMT) Full text and rfc822 format available.

Message #20 received at 555000@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Peter Fritzsche <peter.fritzsche@gmx.de>, 555000@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#555000: FTBFS with binutils-gold
Date: Thu, 5 May 2011 12:33:08 +0200
[Message part 1 (text/plain, inline)]
tag 555000 patch
thanks

Peter Fritzsche <peter.fritzsche@gmx.de> (07/11/2009):
> Source: kildclient
> Version: 2.9.0-1
> [FTBFS due to missing -lz]

Here's a workaround. I don't intend to NMU myself, just providing with
a patch.

Mraw,
KiBi.
[kildclient+555000.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 10:36:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduardo M Kalinowski <eduardo@kalinowski.com.br>:
Bug#555000; Package src:kildclient. (Thu, 05 May 2011 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduardo M KALINOWSKI <eduardo@kalinowski.com.br>:
Extra info received and forwarded to list. Copy sent to Eduardo M Kalinowski <eduardo@kalinowski.com.br>. (Thu, 05 May 2011 14:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 555000@bugs.debian.org (full text, mbox):

From: Eduardo M KALINOWSKI <eduardo@kalinowski.com.br>
To: Cyril Brulebois <kibi@debian.org>, 555000@bugs.debian.org
Cc: Peter Fritzsche <peter.fritzsche@gmx.de>
Subject: Re: Bug#555000: FTBFS with binutils-gold
Date: Thu, 05 May 2011 10:55:34 -0300
Thanks for the patch. As a matter of fact I have solved this already  
but have not been able to uploaded a package (my usual sponsor was too  
busy). I'm also upstream, and since I'm planning a new version very  
soon, I think I'll wait a few more days and upload a package with a  
new upstream version.



-- 
Rainy days and Mondays always get me down.

Eduardo M KALINOWSKI
eduardo@kalinowski.com.br





Information forwarded to debian-bugs-dist@lists.debian.org, Eduardo M Kalinowski <eduardo@kalinowski.com.br>:
Bug#555000; Package src:kildclient. (Thu, 05 May 2011 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduardo M Kalinowski <eduardo@kalinowski.com.br>. (Thu, 05 May 2011 14:21:05 GMT) Full text and rfc822 format available.

Message #32 received at 555000@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Eduardo M KALINOWSKI <eduardo@kalinowski.com.br>
Cc: 555000@bugs.debian.org
Subject: Re: Bug#555000: FTBFS with binutils-gold
Date: Thu, 5 May 2011 16:17:42 +0200
[Message part 1 (text/plain, inline)]
Hi,

Eduardo M KALINOWSKI <eduardo@kalinowski.com.br> (05/05/2011):
> Thanks for the patch. As a matter of fact I have solved this already
> but have not been able to uploaded a package (my usual sponsor was
> too busy). I'm also upstream, and since I'm planning a new version
> very soon, I think I'll wait a few more days and upload a package
> with a new upstream version.

alright; to make sure you don't delay the perl transition in any way,
you might want to apply a hot fix until the new upstream release is
out; asking for sponsorship from perl people might help get a fixed
package in the archive very quickly.

(Dropping Peter from Cc, his mail bounces.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'kildclient: FTBFS with binutils-gold' from 'FTBFS with binutils-gold' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduardo M Kalinowski <eduardo@kalinowski.com.br>:
Bug#555000; Package src:kildclient. (Sun, 08 May 2011 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Eduardo M Kalinowski <eduardo@kalinowski.com.br>. (Sun, 08 May 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #39 received at 555000@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Cyril Brulebois <kibi@debian.org>, 555000@bugs.debian.org
Cc: Eduardo M KALINOWSKI <eduardo@kalinowski.com.br>
Subject: Re: Bug#555000: FTBFS with binutils-gold
Date: Sun, 8 May 2011 19:24:17 +0100
On Thu, May 05, 2011 at 04:17:42PM +0200, Cyril Brulebois wrote:
> Hi,
> 
> Eduardo M KALINOWSKI <eduardo@kalinowski.com.br> (05/05/2011):
> > Thanks for the patch. As a matter of fact I have solved this already
> > but have not been able to uploaded a package (my usual sponsor was
> > too busy). I'm also upstream, and since I'm planning a new version
> > very soon, I think I'll wait a few more days and upload a package
> > with a new upstream version.
> 
> alright; to make sure you don't delay the perl transition in any way,
> you might want to apply a hot fix until the new upstream release is
> out; asking for sponsorship from perl people might help get a fixed
> package in the archive very quickly.

I would be happy to sponsor a hot-fix such the one Cyril provided,
although as I'm not familiar with the package would prefer to avoid
sponsoring something with lots of other changes.

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Eduardo M Kalinowski <eduardo@kalinowski.com.br>:
You have taken responsibility. (Fri, 13 May 2011 21:07:50 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Fri, 13 May 2011 21:08:01 GMT) Full text and rfc822 format available.

Message #44 received at 555000-close@bugs.debian.org (full text, mbox):

From: Eduardo M Kalinowski <eduardo@kalinowski.com.br>
To: 555000-close@bugs.debian.org
Subject: Bug#555000: fixed in kildclient 2.9.0-2
Date: Fri, 13 May 2011 21:02:49 +0000
Source: kildclient
Source-Version: 2.9.0-2

We believe that the bug you reported is fixed in the latest version of
kildclient, which is due to be installed in the Debian FTP archive:

kildclient-doc_2.9.0-2_all.deb
  to main/k/kildclient/kildclient-doc_2.9.0-2_all.deb
kildclient_2.9.0-2.diff.gz
  to main/k/kildclient/kildclient_2.9.0-2.diff.gz
kildclient_2.9.0-2.dsc
  to main/k/kildclient/kildclient_2.9.0-2.dsc
kildclient_2.9.0-2_i386.deb
  to main/k/kildclient/kildclient_2.9.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555000@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eduardo M Kalinowski <eduardo@kalinowski.com.br> (supplier of updated kildclient package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 13 May 2011 17:16:13 -0300
Source: kildclient
Binary: kildclient kildclient-doc
Architecture: source all i386
Version: 2.9.0-2
Distribution: unstable
Urgency: low
Maintainer: Eduardo M Kalinowski <eduardo@kalinowski.com.br>
Changed-By: Eduardo M Kalinowski <eduardo@kalinowski.com.br>
Description: 
 kildclient - Powerful MUD client with a built-in Perl interpreter
 kildclient-doc - Powerful MUD client with a built-in Perl interpreter - manual
Closes: 555000 623726
Changes: 
 kildclient (2.9.0-2) unstable; urgency=low
 .
   * Added missing -lz flag to linker, and listed zlib1g-dev as
     Build-Depends. (Closes: #555000, #623726)
 .
   * Updated policy complicance to 3.9.2; no changes were necessary.
Checksums-Sha1: 
 7135f48012cc1c74155554073ab3dbf3a184b8ad 1368 kildclient_2.9.0-2.dsc
 667d659fc0cad6a2f9c89c94e63f58ff3f7f58e9 17740 kildclient_2.9.0-2.diff.gz
 15e75c262c05a5ead9a4be6f84076120ea45cede 1066372 kildclient-doc_2.9.0-2_all.deb
 7f981b03152e114de9cf64f4d93cc95764e96633 326946 kildclient_2.9.0-2_i386.deb
Checksums-Sha256: 
 c50455d28badd19b20241f232be90e2d9bc77134f90a8e9226a35f5b63d0be79 1368 kildclient_2.9.0-2.dsc
 f1b506de4a38bb71fb1257dd3c600a634b0d1328a5a2be7032cc7e146e23fe8f 17740 kildclient_2.9.0-2.diff.gz
 3f5b4fa50ba06d8ae8b3d46db386220700c29e37579a80c4201d85fcb58d5c63 1066372 kildclient-doc_2.9.0-2_all.deb
 138d78586c23c8dda8bc05331c4e3700c344b82d6eca35e0ca82a2e02de5191b 326946 kildclient_2.9.0-2_i386.deb
Files: 
 9b01eefe85c4bb42d4d9e4a4932d80f1 1368 games optional kildclient_2.9.0-2.dsc
 331ad8ab7461d4cd1f0ff1563b30e7a6 17740 games optional kildclient_2.9.0-2.diff.gz
 b76a285d887062053984a305870d847d 1066372 doc optional kildclient-doc_2.9.0-2_all.deb
 57f2847e01f676ac514409f557fa7428 326946 games optional kildclient_2.9.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNzZo8YzuFKFF44qURAig/AKDNw7qxSxgtLbsTC++SIoRSbCnggACff24e
DDSlXgy0sApsGeV+K2aqM2k=
=OVHe
-----END PGP SIGNATURE-----





Reply sent to Eduardo M Kalinowski <eduardo@kalinowski.com.br>:
You have taken responsibility. (Fri, 13 May 2011 21:08:50 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 13 May 2011 21:09:34 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:33:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:56:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.